package com.haha.sdk.exception;

/**
 * 哈哈零售SDK异常类
 * 用于封装SDK调用过程中发生的所有异常
 * 
 * @author haha-sdk
 * @version 1.0.0
 */
public class HahaException extends Exception {
    
    /**
     * 错误码
     */
    private Integer errorCode;
    
    /**
     * 构造方法
     * 
     * @param message 异常信息
     */
    public HahaException(String message) {
        super(message);
    }
    
    /**
     * 构造方法
     * 
     * @param message 异常信息
     * @param cause 原始异常
     */
    public HahaException(String message, Throwable cause) {
        super(message, cause);
    }
    
    /**
     * 构造方法
     * 
     * @param errorCode 错误码
     * @param message 异常信息
     */
    public HahaException(Integer errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }
    
    /**
     * 获取错误码
     * 
     * @return 错误码
     */
    public Integer getErrorCode() {
        return errorCode;
    }
}
